// file      : hello/person.hxx
// copyright : not copyrighted - public domain

#ifndef PERSON_HXX
#define PERSON_HXX

#include <string>
#include <cstddef> // std::size_t

#include <odb/core.hxx>
#include <vector>

#pragma db object
struct person
{
	person() {};

  friend class odb::access;

  #pragma db id auto
  unsigned long id_;

  int age;

#pragma db type("BLOB")
std::vector<double> vecVals;
  //std::vector<char> vecVals;
};

#endif // PERSON_HXX
